import javax.swing.*;

public class Quiz {
  
  // Stolice do odgadnicia
  private final String[] CAP = {"Praga", "Bratysawa", "Moskwa",   
                                "Berlin", "Kijw", "Wilno", "Misk" };
  
  // Czy stolica bya ju podana ?                                
  private boolean[] entered = new boolean[CAP.length];
 
  public Quiz() {
  
    int n = CAP.length;
        
    JOptionPane.showMessageDialog(null, "Podaj stolice ldowych ssiadw Polski");
    String askMsg = "Wpisz kolejn stolic:" ; 
    
    int count = 0;  // ile podano prawidowych odpowiedzi
  
    // Uruchomienie wtku zliczajcego i pokazujcego upywajcy czas  
    Timer tm = new Timer();
    tm.start();
    
    while (count < CAP.length) { // dopki nie podano wszystkich stolic
      String input = JOptionPane.showInputDialog("Odpowiedzi: " + count + '/' + n +
                                                  '\n' + askMsg);
      if (input == null) break;  
      if (isOk(input)) count++;  // jeeli ta odpowied prawidowa
    }
    System.exit(0);
  } 
  
  // Czy odpowied jest prawidowa i czy jej wczeniej nie podano?
  
  private boolean isOk(String s) {
    for (int i=0; i < CAP.length; i++) {
      if (s.equalsIgnoreCase(CAP[i]) && !entered[i]) 
         return (entered[i] = true);
    } 
    return false;
  }    
     
  public static void main(String args[]) {
    new Quiz(); 
  }
}